function mat2 = removeNullMatrixRows(mat)
%REMOVENULLMATRIXROWS Remove rows of zeros from a given matrix.
%   MAT2 = REMOVENULLMATRIXROWS(MAT) removes rows from the given matrix
%   that contain only zeros.

%   Author: Damien Teney

assert(ismatrix(mat));

rowsToKeep = all(mat(:, :) ~= 0, 2); % Keep non-null rows
mat2 = mat(rowsToKeep, :);
